Old 26th July 2022, 15:38   #1
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
Winamp 5.9 RC1 Released

Winamp 5.9 RC1 Build 9999

Winamp 5.9
* Improved: Windows 11 compatibility
* Improved: Playback of https:// streams
* Improved: Updated and tidier generate html playlist code
* Improved: [in_mkv] vp8 support
* Improved: [in_mod] Playback of .itz, .mdz, .s3z & .xmz compressed modules
* Improved: [ml_wire] New working Podcast Directory
* Improved: [out_ds] Display device information correctly in Unicode format
* Fixed: [in_midi/in_mkv/nu/pfc] memory leaks
* Fixed: [in_mp3] id3 empty genre displayed as Blues or Psychobilly
* Fixed: [jnetlib/ml_online/ml_wire] JSAPI2 JavaScript API
* Misc: lame_enc & libsndfile now static links instead of dynamic dll
* Misc: libmpg123, libflac & zlib now static links instead of dynamic dll
* Misc: libalac.dll added to Shared folder as part of alac update
* Misc: Major compiler refactoring work
* Misc: Many more general tweaks, improvements, fixes and optimizations
* Misc: Minimum required OS is now Windows 7 SP1
* Misc: New online Help section and articles
* Misc: SDK now compatible with VS2017 and newer
* Misc: Versioning syntax changed to v5.x.x
* Misc: Winamp\Microsoft.VC142.CRT runtimes now installed on Win7/8
* Removed: Bento Browser tab - So long, and thanks for all the fish!
* Updated: [alac/in_mp4] ALAC 2017-11-03-c38887c5
* Updated: [enc_lame] LAME 3.100.1
* Updated: [freetype.wac] freetype 2.12.1
* Updated: [gif] giflib 5.1.4
* Updated: [in_cdda] libdiscid 0.6.2
* Updated: [in_flac/enc_flac] libFLAC 1.3.4
* Updated: [in_mod] libopenmpt 0.7.0 & Portaudio 19.7.0
* Updated: [in_mp3] libmpg123 1.29.3
* Updated: [in_vorbis] libogg 1.3.5 & libvorbis 1.3.7
* Updated: [in_wave] libsndfile 1.1.0
* Updated: [OpenSSL] OpenSSL 3.0.3
* Updated: [png] libpng 1.6.37
* Updated: [vp8] WebM libvpx 1.11.0
* Updated: [zlib] zlib 1.2.12


Direct Download


_______________________________________________________


Info

This is the culmination of 4 years' work since the 5.8 release.
Two dev teams, and a pandemic-induced hiatus period inbetween.

To the end-user, it might not seem like there's a whole heap of changes,
but the largest and hardest part was actually migrating the entire project from VS2008 to VS2019
and getting it all to build successfully.

The groundwork has now been laid, and now we can concentrate more on features.
Whether fixing/replacing old ones or adding new.


The build # will stay as 9999 for this release, e.g. if/when there's an rc2 or final release
(builds can be identified by filename + timestamp).
We'll reset it for 5.9.1


Although extensive internal testing has already been carried out,
this is still marked as a Release Candidate build.

All features need testing.

If possible, please test installations on Windows 7 - 8.1
There's already been some reports of DLLs not loading,
including gen_ff.dll (Modern Skins support) :-(


_______________________________________________________


Known Issues

Earmarked for fixing in 5.9.1

About dialog => Credits
No longer supports unicode chars
Unicode support in Plush was broken during the migration to VS2019

AVS Editor
Main menu no longer localized
Will hopefully be fixed for 5.9.1

Milkdrop
Some presets produce errors (error in per-frame code, etc.)
Another ill-effect of the migration process.
For now, we've force-enabled the "suppress all warnings" setting,
removed the worst affected presets from the package,
and (on upgrades) we've renamed the 11 worst affected presets with the .off extension.
We hope to fix it fully for 5.9.1

NSV VP3 decoder = broken/missing

ml_wire Podcasts
omBrowser uses IE(10) engine, which some podcast sites no longer support.
We fixed https subscriptions in general,
but if manual https subscriptions don't work, try http instead.
For 5.9.1 and beyond, we can look at replacing the internal browser engine with e.g. Mozilla or Chromium.

Bento skin
"Options => Appearance => Show Artist Information Buttons"
is still in the menu, even though we've removed them.
Note, we've also disabled links in MCV (Artist, Album, etc. no longer clickable)

_______________________________________________________


Will be fixed for the next public build (e.g. 5.9 RC2 or 5.9 Final)

- Some gen & ml plugins show as "not loaded" on Windows 7-8.1, incl. Modern Skins Support (gen_ff.dll)

- Load EQ Presets dialog is in Chinese

- ReplayGain calculation broken for vorbis files (.ogg)
(This is also an issue in 5.8)

- Although not included with the Winamp distribution, some plug-ins with a dependency for msvcr90.dll are "not loaded", incl. JTFE.
The VS2008 Microsoft.VC90.CRT runtime is no longer shipped/required/auto-loaded with Winamp 5.9
(VC142 runtime is now installed on Win7-8.1).
If you see runtime errors on Winamp load, it will be because said plug-ins are present
and msvcp90.dll / msvcr90.dll exists in your Windows\SysWow64 folder

EDIT: This was a manifest related issue and will be fixed for the next build. Sorry!

The Shoutcast DSP plugin also had the same issue.
A new version of the DSP is also available (will only install on Winamp 5.9)

Shoutcast DSP v2.4.0 for Winamp 5.9

_______________________________________________________


ToDo for 5.9.0 final
- Update OpenSSL to 3.0.5 (vcpkg currently errors out)
- Address issues brought to our attention here (bugs, libopenmpt version, etc.)
- Fix some gen & ml plugins not loading under Windows 7 - 8.1 (see above)


Still ToDo (5.9.1 and beyond)
- Add native support for more formats (e.g. opus, ogv/ogm, TS, H.265, HLS, VP9, etc.)
- Replace old Gracenote features (CDDB, Autotag, etc) with e.g. MusicBrainz or MusicStory
- Maybe restore a working NowPlaying service ?
- Add more default services to ml_online view (Lyrics, Jamendo, Hotmix, etc.) ?
- More multithreading e.g. for Format Converter / Send To, etc.
- Config for in_mod & out_wasapi
- View File Info dialog for in_mod
- Tons more :-)


_______________________________________________________


Language Packs

An installer is also available for all Language Packs.
You can select which pack(s) to install before installation.

Note that some of the packs are up-to-date,
whereas others are not...

Winamp Language Packs v1.2


Changes from v1.1
- Updated Spanish lang pack
- Removed Polish lang pack (Pawel will be providing a separate installer)
- Installer/Uninstaller fixes


_______________________________________________________


Your feedback, reports and thoughts are welcome.

Thanks!

Winamp Team
DJ Egg is online now   Reply With Quote
Old 28th July 2022, 08:22   #2
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
DJ Egg is online now   Reply With Quote
Old 28th July 2022, 10:09   #3
Mikey7
Member
 
Mikey7's Avatar
 
Join Date: Jul 2022
Location: Sierra Vista, AZ
Posts: 82
Uhm. WOW. I'm sure myself and others will report back our experiences. Many thanks to the Winamp team.

Winamp 5.9 RC1 - 5.x skins: Quinto CT 3.6 & Big Bento Modern.
Mikey7 is offline   Reply With Quote
Old 28th July 2022, 12:33   #4
Simazine
Junior Member
 
Join Date: Jul 2022
Posts: 1
Whaaaaaaat

Top job lads!
Simazine is offline   Reply With Quote
Old 28th July 2022, 14:12   #5
evil_pro
Junior Member
 
Join Date: Nov 2013
Posts: 15
With the transition of the codebase to more modern standards, can we expect 64-Bit builds in the future?
evil_pro is offline   Reply With Quote
Old 28th July 2022, 17:44   #6
kadavrul
Junior Member
 
Join Date: Mar 2006
Location: Europe
Posts: 5
Quote:
Originally Posted by DJ Egg View Post

Winamp 5.9
* Improved: [in_mod] Playback of .itz, .mdz, .s3z & .xmz compressed modules

"View file info..." still not working. Why???

For this reason I'm forced to use 5.666 to see the modules info.
kadavrul is offline   Reply With Quote
Old 28th July 2022, 18:25   #7
marcgm
Junior Member
 
Join Date: Oct 2018
Posts: 1
It works for me modern skin.
marcgm is offline   Reply With Quote
Old 28th July 2022, 19:02   #8
kadavrul
Junior Member
 
Join Date: Mar 2006
Location: Europe
Posts: 5
marcgm, maybe you tried mp3s.

Compressed modules no!
kadavrul is offline   Reply With Quote
Old 28th July 2022, 19:25   #9
apsoul
Junior Member
 
Join Date: Jul 2022
Posts: 2
- virustotal returns 7/66
- forum doesn't use https

possibly i test .exe during weekend and reply. cheers and keep up the good work. respect! :-)
apsoul is offline   Reply With Quote
Old 28th July 2022, 21:54   #10
M.D-78 Odysséus
Junior Member
 
Join Date: Jul 2019
Posts: 17
I installed here and some things stopped responding, appear as not loaded, they are in_wv.dll, gen_classicart.dll, gen_jumpex.dll and pmp_activesync.dll.
Also some freezes, the loading of more than one instance even with this option disabled, the icon packs that don't work anymore and I think just for now.
Has this happened to anyone else?
M.D-78 Odysséus is offline   Reply With Quote
Old 28th July 2022, 22:50   #11
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
Quote:
Originally Posted by M.D-78 Odysséus View Post
I installed here and some things stopped responding, appear as not loaded, they are in_wv.dll, gen_classicart.dll, gen_jumpex.dll and pmp_activesync.dll.
Also some freezes, the loading of more than one instance even with this option disabled, the icon packs that don't work anymore and I think just for now.
Has this happened to anyone else?

Hi

Please refer to the notes in the first post about JTFE (gen_jumpex.dll) and other plugins by DrO not loading in Winamp 5.9 due to a built-in dependency for msvcr90/msvcp90.dll

We've got the source code for gen_classicart and in_wv so those two can probably be fixed.
But we've not got the source code for gen_jumpex.dll. Sorry :-(

Do you use pmp_activesync?
We were contemplating just removing it.
But afaik, it requires MS ActiveSync to be installed.
DJ Egg is online now   Reply With Quote
Old 28th July 2022, 22:59   #12
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
Quote:
Originally Posted by apsoul View Post
- virustotal returns 7/66
- forum doesn't use https

possibly i test .exe during weekend and reply. cheers and keep up the good work. respect! :-)

Thanks.

I've reported false positive detections to 4 of them.
DJ Egg is online now   Reply With Quote
Old 28th July 2022, 23:01   #13
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
Quote:
Originally Posted by kadavrul View Post
"View file info..." still not working. Why???

For this reason I'm forced to use 5.666 to see the modules info.

Sorry :-(


Yes. New in_mod needs View File Info & Config dialogs implementing.
It's on the ToDo list.
DJ Egg is online now   Reply With Quote
Old 29th July 2022, 08:24   #14
EXPERIMENTONGOD
Junior Member
 
Join Date: Jul 2022
Posts: 1
Great work on this update guys. I've been using Winamp non-stop since 1997.

Shame about JTFE, hope you can implement some alternative in the future.

Regards.
EXPERIMENTONGOD is offline   Reply With Quote
Old 29th July 2022, 09:21   #15
knipjo
Junior Member
 
Join Date: Jul 2022
Posts: 2
totally unusable with high resolution screens.

Happy to have you folks back to work!

Please test this with a computer that has a high resolution screen. I have a Dell XPS13 for example.


It looks like that:

Keep up the good work.

John
knipjo is offline   Reply With Quote
Old 29th July 2022, 09:23   #16
knipjo
Junior Member
 
Join Date: Jul 2022
Posts: 2
Sorry, let's try again with the screenshot:
knipjo is offline   Reply With Quote
Old 29th July 2022, 09:43   #17
gulbis37
Member
 
Join Date: May 2016
Posts: 61
Are song titles and artist displayed when CD played from disc drive ?
gulbis37 is offline   Reply With Quote
Old 29th July 2022, 10:12   #18
synthetiq
Senior Member
 
Join Date: Nov 2004
Location: Portugal
Posts: 154
yep! bring it, team! =)
synthetiq is offline   Reply With Quote
Old 29th July 2022, 10:12   #19
devil123
Junior Member
 
Join Date: Jul 2022
Posts: 1
Bitdefender detected one of your setup files as a virus .

C:\Program Files (x86)\Winamp\Plugins\in_avi.dll is infected with Gen:Variant.Lazy.151343

any explanation?
devil123 is offline   Reply With Quote
Old 29th July 2022, 10:27   #20
gulbis37
Member
 
Join Date: May 2016
Posts: 61
I went back because there isn't Shoutcast DSP plugin included. When I downloaded Shoutcast DSP plugin and start Winamp,plugin doesn't display in prefences DSP/ Effect area.
gulbis37 is offline   Reply With Quote
Old 29th July 2022, 10:27   #21
zumer
Junior Member
 
Join Date: Jan 2014
Posts: 26
Temporary solution. Indeed there is a problem with plugins using vc90crt. I took gen_jumpex.dll (JTFE v1.2.3) from Winamp 5.621 and it worked.
zumer is offline   Reply With Quote
Old 29th July 2022, 10:32   #22
zumer
Junior Member
 
Join Date: Jan 2014
Posts: 26
I think that everything can be taken from Winamp 5.621 and below. Of course this is a regression, but as a temporary solution works, until the release of Winamp 5.9.1 and later.
zumer is offline   Reply With Quote
Old 29th July 2022, 11:09   #23
manxorist
Junior Member
 
Join Date: Jul 2022
Posts: 2
Quote:
Originally Posted by DJ Egg View Post
Winamp 5.9 RC1 Build 9999

Winamp 5.9
* Updated: [in_mod] libopenmpt 0.7.0 & Portaudio 19.7.0
Yeah, uhm, what is this libopenmpt 0.7.0 version that you claim to include?

While I am glad to see libopenmpt being used for module playback, libopenmpt 0.7.0 has not been released yet, and any current 0.7.* version is a development version that should not be shipped to users as part of a release or release candidate.

Can you please switch to a stable release version (the latest one currently is 0.6.4 (https://lib.openmpt.org/libopenmpt/2...release-0.6.4/)), or at the very least clarify which exact development snapshot version you are using, and why? "0.7.0" for sure is not specific enough, the current (as of right now) full version string for a 0.7.* version would be 0.7.0-pre.10+r17672 (see https://semver.org/spec/v2.0.0.html).

Also, what's the point of mentioning PortAudio? PortAudio is a sound output library and not used/depended-on by libopenmpt itself.

manx (libopenmpt maintainer)
manxorist is offline   Reply With Quote
Old 29th July 2022, 11:27   #24
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
Quote:
Originally Posted by gulbis37 View Post
I went back because there isn't Shoutcast DSP plugin included. When I downloaded Shoutcast DSP plugin and start Winamp,plugin doesn't display in prefences DSP/ Effect area.

Please refer to the first post.

There's a download link for Shoutcast DSP v2.4.0 for Winamp 5.9
DJ Egg is online now   Reply With Quote
Old 29th July 2022, 11:29   #25
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
Quote:
Originally Posted by devil123 View Post
Bitdefender detected one of your setup files as a virus .

C:\Program Files (x86)\Winamp\Plugins\in_avi.dll is infected with Gen:Variant.Lazy.151343

any explanation?

Please report this to BitDefender as a false positive.
DJ Egg is online now   Reply With Quote
Old 29th July 2022, 11:54   #26
gulbis37
Member
 
Join Date: May 2016
Posts: 61
Quote:
Originally Posted by DJ Egg View Post
Please refer to the first post.

There's a download link for Shoutcast DSP v2.4.0 for Winamp 5.9
Thank you!
gulbis37 is offline   Reply With Quote
Old 29th July 2022, 12:09   #27
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
Quote:
Originally Posted by manxorist View Post
Yeah, uhm, what is this libopenmpt 0.7.0 version that you claim to include?

While I am glad to see libopenmpt being used for module playback, libopenmpt 0.7.0 has not been released yet, and any current 0.7.* version is a development version that should not be shipped to users as part of a release or release candidate.

Can you please switch to a stable release version (the latest one currently is 0.6.4 (https://lib.openmpt.org/libopenmpt/2...release-0.6.4/)), or at the very least clarify which exact development snapshot version you are using, and why? "0.7.0" for sure is not specific enough, the current (as of right now) full version string for a 0.7.* version would be 0.7.0-pre.10+r17672 (see https://semver.org/spec/v2.0.0.html).

Also, what's the point of mentioning PortAudio? PortAudio is a sound output library and not used/depended-on by libopenmpt itself.

manx (libopenmpt maintainer)

Hi manx,

We're looking into this right now.

I can't get hold of the relevant dev at the moment.
Where exactly in the project is the full version string specified?

I'm waiting to get clarification of exactly where we got the update from and if it is actually 0.6.4 and not 0.7.0-{string}.


Mentioning "PortAudio" is probably my fault.
I just copied it from this line in our dev changelog:

Update 'portaudio' from 19.5.1 to 19.7.0
DJ Egg is online now   Reply With Quote
Old 29th July 2022, 12:44   #28
zumer
Junior Member
 
Join Date: Jan 2014
Posts: 26
there is a solution for vc90crt. Edit manifest in winamp.exe resources

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0" xmlns:asmv3="urn:schemas-microsoft-com:asm.v3">
<assemblyIdentity version="5.9.0.9999" processorArchitecture="x86" name="Radionomy.Winamp.Winamp for Windows" type="win32">
</assemblyIdentity>
<description>Winamp 5.9</description>
<dependency>
<dependentAssembly>
<assemblyIdentity type="win32" name="Microsoft.Windows.Common-Controls" version="6.0.2600.0" processorArchitecture="x86" publicKeyToken="6595b64144ccf1df" language="*">
</assemblyIdentity>
</dependentAssembly>
</dependency>
<dependency>
<dependentAssembly>
<assemblyIdentity type="win32" name="Microsoft.VC90.CRT" version="9.0.30729.6161" processorArchitecture="x86" publicKeyToken="1fc8b3b9a1e18e3b">
</assemblyIdentity>
</dependentAssembly>
</dependency>
<trustInfo xmlns="urn:schemas-microsoft-com:asm.v2"><security><requestedPrivileges>
<requestedExecutionLevel level="asInvoker" xmlns:ms_asmv3="urn:schemas-microsoft-com:asm.v3" ms_asmv3:uiAccess="false">
</requestedExecutionLevel>
</requestedPrivileges>
</security>
</trustInfo>
<asmv3:application>
<asmv3:windowsSettings xmlns="http://schemas.microsoft.com/SMI/2005/WindowsSettings">
<dpiAware>true</dpiAware>
</asmv3:windowsSettings></asmv3:application>
<ms_compatibility:compatibility xmlns:ms_compatibility="urn:schemas-microsoft-com:compatibility.v1" xmlns="urn:schemas-microsoft-com:compatibility.v1">
<ms_compatibility:application xmlns:ms_compatibility="urn:schemas-microsoft-com:compatibility.v1">
<ms_compatibility:supportedOS xmlns:ms_compatibility="urn:schemas-microsoft-com:compatibility.v1" Id="{8e0f7a12-bfb3-4fe8-b9a5-48fd50a15a9a}">
</ms_compatibility:supportedOS>
<ms_compatibility:supportedOS xmlns:ms_compatibility="urn:schemas-microsoft-com:compatibility.v1" Id="{1f676c76-80e1-4239-95bb-83d0f6d0da78}">
</ms_compatibility:supportedOS>
<ms_compatibility:supportedOS xmlns:ms_compatibility="urn:schemas-microsoft-com:compatibility.v1" Id="{4a2f28e3-53b9-4441-ba9c-d69d4a4a6e38}">
</ms_compatibility:supportedOS>
<ms_compatibility:supportedOS xmlns:ms_compatibility="urn:schemas-microsoft-com:compatibility.v1" Id="{35138b9a-5d96-4fbd-8e2d-a2440225f93a}">
</ms_compatibility:supportedOS>
</ms_compatibility:application></ms_compatibility:compatibility>
</assembly>
zumer is offline   Reply With Quote
Old 29th July 2022, 13:01   #29
zumer
Junior Member
 
Join Date: Jan 2014
Posts: 26
the development team can use this solution to fix it.
zumer is offline   Reply With Quote
Old 29th July 2022, 13:14   #30
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
Very interesting, zumer.
Trying it now. Watch this space...


(if it works... so much for me saying "can't be fixed (by us)", heh)
DJ Egg is online now   Reply With Quote
Old 29th July 2022, 13:17   #31
onestar
Junior Member
 
onestar's Avatar
 
Join Date: May 2005
Posts: 20
Just downloaded and installed. Tried to right-click on a song in my library to queue it, and Winamp crashed.

I'm excited for the update, but for the moment, I'll roll back to the old version and keep an eye out for 5.9.1. Good luck finding the bugs!

P.S. What about using Discogs as well as Musicbrainz?
onestar is offline   Reply With Quote
Old 29th July 2022, 13:33   #32
NJK
FRISIAN (MOD)
 
NJK's Avatar
 
Join Date: Sep 2003
Location: in a house
Posts: 16,258
Quote:
Originally Posted by onestar View Post
Just downloaded and installed. Tried to right-click on a song in my library to queue it, and Winamp crashed.

I'm excited for the update, but for the moment, I'll roll back to the old version and keep an eye out for 5.9.1. Good luck finding the bugs!

P.S. What about using Discogs as well as Musicbrainz?
first welcome back after all these years, i had a simular issue with the player
when i tried to add music to the library.

Did you do a clean install or installed it over the old Winamp?

don't forget to secure your plugin etc out of the winampfolder , uninstall, remove winampfolder from the program files and install again.
NJK is offline   Reply With Quote
Old 29th July 2022, 13:34   #33
highonsnow
Junior Member
 
Join Date: Jul 2022
Posts: 6
I cannot believe the news, this is fantastic! I'll get some testing done on Windows 7 and 10!
highonsnow is offline   Reply With Quote
Old 29th July 2022, 14:05   #34
manxorist
Junior Member
 
Join Date: Jul 2022
Posts: 2
Hi DJ Egg,

thanks for looking into the libopenmpt version.

Quote:
Originally Posted by DJ Egg View Post
Where exactly in the project is the full version string specified?

I'm waiting to get clarification of exactly where we got the update from and if it is actually 0.6.4 and not 0.7.0-{string}.
You can find the libopenmpt version in "libopenmpt/libopenmpt_version.h" right at the top (see https://github.com/OpenMPT/openmpt/b..._version.h#L19 for 0.6.4 or https://github.com/OpenMPT/openmpt/b..._version.h#L19 for current 0.7.* development version). If you are using a packaged source archive, the precise revision would be in the filename of the zip archive, as well as in "build/svn_version/svn_version.h". With a svn or git checkout, our build system would pull the revision out of the VCS directly, so you would need to track that yourself if you are using your own build system. The revision would frankly only be relevant if you would be sticking with a 0.7.* development version in order to further disambiguate the version, because we do not increment the -pre.NUMBER part for every change.

Quote:
Originally Posted by DJ Egg View Post
Mentioning "PortAudio" is probably my fault.
I just copied it from this line in our dev changelog:

Update 'portaudio' from 19.5.1 to 19.7.0
I mean, the libopenmpt source package (or VCS checkout) comes bundled with PortAudio (and all our other dependencies), so maybe that's where the confusion started. PortAudio however is not used by the libopenmpt library itself, but only by our stand-alone terminal player openmpt123, and by the examples.

manx
manxorist is offline   Reply With Quote
Old 29th July 2022, 14:25   #35
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,986
Quote:
Originally Posted by onestar View Post
Just downloaded and installed. Tried to right-click on a song in my library to queue it, and Winamp crashed.

I'm excited for the update, but for the moment, I'll roll back to the old version and keep an eye out for 5.9.1. Good luck finding the bugs!

P.S. What about using Discogs as well as Musicbrainz?

Quote:
Originally Posted by NJK View Post
first welcome back after all these years, i had a simular issue with the player
when i tried to add music to the library.

Did you do a clean install or installed it over the old Winamp?

don't forget to secure your plugin etc out of the winampfolder , uninstall, remove winampfolder from the program files and install again.

I can't reproduce the crash.

By "right-click => queue", did you mean "Enqueue selection"?
DJ Egg is online now   Reply With Quote
Old 29th July 2022, 14:49   #36
Fernando Villarroel
Junior Member
 
Fernando Villarroel's Avatar
 
Join Date: Nov 2000
Posts: 33
So nice to see Winamp back!, already installed onto my job's laptop, but eager to get home later today in order to install it in my personal PC and fiddle with my FLAC music collection.
Fernando Villarroel is offline   Reply With Quote
Old 29th July 2022, 15:33   #37
niwrad777
Junior Member
 
niwrad777's Avatar
 
Join Date: Jun 2007
Location: Perú
Posts: 33
Cool

Updating Spanish Language Pack...

will be available soon ...
niwrad777 is offline   Reply With Quote
Old 29th July 2022, 15:52   #38
cybercuate
Junior Member
 
Join Date: Mar 2019
Posts: 9
Now make shoutcast DSP ARM64 compatible. Oracle VPS and (soon) google vps will use Arm Ampere and is so fast and so cheap icecast is the way to go for now. Please make shoutcast DSP for ARM64 ASAP
cybercuate is offline   Reply With Quote
Old 29th July 2022, 15:54   #39
cybercuate
Junior Member
 
Join Date: Mar 2019
Posts: 9
Quote:
Originally Posted by cybercuate View Post
Now make shoutcast DSP ARM64 compatible. Oracle VPS and (soon) google vps will use Arm Ampere and is so fast and so cheap icecast is the way to go for now. Please make shoutcast DSP for ARM64 ASAP
sorry, I mean DNAS shoutcast
cybercuate is offline   Reply With Quote
Old 29th July 2022, 15:56   #40
highonsnow
Junior Member
 
Join Date: Jul 2022
Posts: 6
I have experienced three full exe crashes since my earlier message. Getting the following in the windows event log:

winamp.exe
5.9.0.9999
62e16f6c
ntdll.dll
10.0.19041.1806
39cccd9d
c0000374
000e6fe3
aaf0
01d8a35373ea3046
H:\Program Files (x86)\Winamp\winamp.exe
C:\Windows\SYSTEM32\ntdll.dll
94217761-f911-4435-aa66-46437a61ad89

Is there a dedicated place for reporting crashes/errors or what is the best procedure to follow? Thanks again guys, great work, delighted to see Winamp firing up dev again.
highonsnow is offline   Reply With Quote
Reply
Go Back   Winamp & Shoutcast Forums > Winamp > Winamp Discussion

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump